textures/base_button/shootme2
{
	qer_editorimage textures/base_button/shootme1.tga
	q3map_lightimage textures/base_button/shootme_glow.tga
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/metal3_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_button/shootme_glow.tga
		rgbgen wave sin 0.5 1.0 0 .3
		blendfunc gl_one gl_one
	}
}

textures/base_floor/clangfloor_noisy
{
	qer_editorimage textures/base_floor/clang_floor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}

	{
		map textures/base_floor/clang_floor.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity

	}

}

textures/base_floor/proto_grate4
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate4.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/pjgrate1
{
	surfaceparm	metalsteps		
	cull none

	
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/proto_light
{
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
                rgbgen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/light1red_2000
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1blue_2000
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1blue_1500
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_1500
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		
		blendfunc gl_one gl_one
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_trim/pewter_shiney
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/main_q3abanner
{
	q3map_lightimage textures/base_wall/main_q3abanner.tga
        q3map_surfacelight 100


	{
		map textures/base_wall/main_q3abanner.tga
	        rgbgen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/base_wall/bluemetalsupport2c_1
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2f
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2f.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2e
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend	
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/glass01
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/base_wall/shinygrate1_4
{

	{
		map $lightmap
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity      
	}
		
	
	{
		map textures/base_wall/shinygrate1_4.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}


	{
		map $lightmap
    		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

			
}

textures/base_wall/comp3
{
	q3map_lightimage textures/base_wall/comp3env.tga
        q3map_surfacelight 1000
        {
		map textures/base_wall/comp3text.tga
	        rgbgen identity
		tcmod scroll 3 1
	}
	      
        {
		map textures/base_wall/comp3env.tga
                tcgen environment
                blendfunc gl_one gl_one
                rgbgen wave sin .98 .02 0 5
	}
	
	{
		map $lightmap
                tcgen environment
                blendfunc gl_dst_color gl_one
	}


	{
		map textures/base_wall/comp3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
       
	{
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	
}

textures/base_wall/bluemetalsupport2b
{
	
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2bglow.tga


	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2b.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


	{
		map textures/base_wall/bluemetalsupport2bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.5 0.5 0 .2
	}
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/sfx/portal_sfx
{

	
	
	
	
	

	portal
	surfaceparm nolightmap
	deformvertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	
	
		depthwrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcmod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbgen identitylighting	
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}

textures/liquids/lavahelldark
{
	
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 150
	cull disable
	
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
	
}

models/mapobjects/portal_2/portal_3_edge
{
        {
                map models/mapobjects/portal_2/portal_3_edge.tga
                rgbgen vertex
        }

	{
		map models/mapobjects/portal_2/portal_3_edge_glo.tga
		blendfunc gl_one gl_one
		tcmod scroll 9.7 .5
	}

}

textures/sfx/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam_red.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/beam_blue
{
        qer_editorimage textures/sfx/beam_blue4.tga
	
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam_blue4.tga
	
	
		tcmod scroll .3 0
                blendfunc add
        }
     
}

models/mapobjects/portal_2/portal_3
{
	
	
	
	
	


	{
		map models/mapobjects/portal_2/portal_3.tga
		rgbgen vertex
	}

	{
		map models/mapobjects/portal_2/portal_3_glo.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 .5
	}

}

textures/sfx/portal_sfx_ring
{

	
	
	
	
	
		
		deformvertexes wave 100 sin 0 2 0 .5
		cull none
	
	{
		map textures/sfx/portal_sfx_ring_blue1.tga 
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}

	
	{	
		map textures/sfx/portal_sfx_ring_electric.tga 
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 .5
		tcmod scroll 0 .5

	}

	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcmod rotate 360
	}

	{
		map textures/sfx/portal_sfx_ring.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	

	

}

textures/classic2_0/sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90


	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcmod scroll 0.1 0.1
		tcmod scale 3 2
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.05
		tcmod scale 3 3
	}
}

textures/classic2_0/redmetal2b
{
	
	q3map_surfacelight 100
	q3map_lightimage textures/classic2_0/redmetal2bglow.tga


	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/classic2_0/redmetal2b.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


	{
		map textures/classic2_0/redmetal2bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.5 0.5 0 .2
	}
}

textures/classic2_0/tv_blue
{
	q3map_lightimage textures/base_wall/classic2_0/tv_blue.tga
        q3map_surfacelight 100


	{
		map textures/classic2_0/tv_blue.tga
	        rgbgen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/classic2_0/tv_red
{
	q3map_lightimage textures/base_wall/classic2_0/tv_red.tga
        q3map_surfacelight 100


	{
		map textures/classic2_0/tv_red.tga
	        rgbgen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/classic2_0/shinymetaldoor_cctf
{
	
	qer_editorimage textures/classic2_0/shinymetaldoor_cctf.tga

	{
		map textures/base_wall/chrome_env.tga
                tcgen environment
		tcmod scale .25 .25 
		rgbgen identity   
	}

		
	{
		map textures/classic2_0/shinymetaldoor_cctf.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}

	{
		map textures/classic2_0/quake3sign_cctf.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}	
		
}

textures/classic2_0/bounce_blue_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/classic2_0/bounce_red_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/classic2_0/borderlight_300
{
	qer_editorimage textures/classic2_0/borderlight_b.tga
	q3map_lightimage textures/classic2_0/borderlight_glow.tga
	q3map_surfacelight 300	

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/classic2_0/borderlight_b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/classic2_0/borderlight_glow.tga
		blendfunc gl_one gl_one
	}
}

textures/classic2_0/swirly_r
{
		qer_editorimage textures/classic2_0/console_r.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_r.tga
		cull none
	{
		clampmap textures/sfx/console02.tga
		tcmod rotate -200
		blendfunc gl_one gl_one
	}
	{
		clampmap textures/classic2_0/console_r.tga
		tcmod rotate 30
		blendfunc gl_one gl_one
	}
}

textures/classic2_0/swirly_b
{
		qer_editorimage textures/classic2_0/console_b.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_b.tga
		cull none
	{
		clampmap textures/sfx/console02.tga
		tcmod rotate -200
		blendfunc gl_one gl_one
	}
	{
		clampmap textures/classic2_0/console_b.tga
		tcmod rotate 30
		blendfunc gl_one gl_one
	}
}

textures/classic2_0/button_blue
{
	qer_editorimage textures/classic2_0/shootme_glowb.tga
	q3map_lightimage textures/classic2_0/shootme_glowb.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/metal3_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/classic2_0/shootme_glowb.tga
		rgbgen wave sin 0.5 1.0 0 .3
		blendfunc gl_one gl_one
	}
}

textures/ctf_unified/bounce_blue
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/bounce_red
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_blue.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_red
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_red.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_blue.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_blue.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_red
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_red.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_red.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/banner01_blue
{
	qer_editorimage textures/ctf_unified/banner01_blue.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2

	{
		map textures/ctf_unified/banner01_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/banner01_red
{
	qer_editorimage textures/ctf_unified/banner01_red.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2

	{
		map textures/ctf_unified/banner01_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/monologo_noflash_blue
{       	
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/ctf_unified/floor_monologo_blue.tga
		blendfunc add
		rgbgen identity
	}
}

textures/ctf_unified/monologo_noflash_red
{       	
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none

	{
		map textures/ctf_unified/floor_monologo_red.tga
		blendfunc add
		rgbgen identity
	}
}

textures/ctf_unified/direction_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/direction_blue.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/direction_red
{    
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/direction_red.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_blue
{
	qer_editorimage textures/ctf_unified/qer_tech_blue.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_blue.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_red
{
	qer_editorimage textures/ctf_unified/qer_tech_red.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_red.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc blend
		rgbgen vertex
	}
}

